<?xml version="1.0"?>

<!--
object_2d_detection_yolo
Copyright 2020 Vision Pipeline for ROS
Author: Fabian Kranewitter <fabiankranewitter@gmail.com>
SPDX-License-Identifier: MIT
-->

<package format="3">
  <name>object_2d_detection_yolo</name>
  <version>1.1.0</version>
  <description>You only look once</description>
  <maintainer email="fabiankranewitter@gmail.com">Kranewitter Fabian</maintainer>
  
  
  <license>MIT</license>
  <url type="repository">https://gitlab.com/vision-pipeline-for-ros/</url>


  <buildtool_depend>catkin</buildtool_depend>
  <build_depend>geometry_msgs</build_depend>
  <build_depend>rospy</build_depend>
  <build_depend>sensor_msgs</build_depend>
  <build_depend>std_msgs</build_depend>
  <build_depend>cv_bridge</build_depend>
  <build_depend>opencv</build_depend>
  <build_export_depend>geometry_msgs</build_export_depend>
  <build_export_depend>rospy</build_export_depend>
  <build_export_depend>sensor_msgs</build_export_depend>
  <build_export_depend>std_msgs</build_export_depend>
  <build_export_depend>cv_bridge</build_export_depend>
  <build_export_depend>opencv</build_export_depend>
  <exec_depend>geometry_msgs</exec_depend>
  <exec_depend>rospy</exec_depend>
  <exec_depend>sensor_msgs</exec_depend>
  <exec_depend>std_msgs</exec_depend>
  <exec_depend condition="$ROS_PYTHON_VERSION == 3">python3-opencv</exec_depend>
  <exec_depend condition="$ROS_PYTHON_VERSION == 2">python-opencv</exec_depend>
  <exec_depend condition="$ROS_PYTHON_VERSION == 2">python-numpy</exec_depend>
  <exec_depend condition="$ROS_PYTHON_VERSION == 3">python3-numpy</exec_depend>
  
  <export>
    <!-- Other tools can request additional information be placed here -->

  </export>
</package>
